### Method

# Gtk PrintSettings set_length

#### Declaration [src]

    void
    gtk_print_settings_set_length (
      GtkPrintSettings* settings,
      const char* key,
      double value,
      GtkUnit unit
    )

#### Description [src]

Associates a length in units of `unit` with `key`.

#### Parameters

`key` | `const char*`
| A key.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`value` | `double`
| A length.
`unit` | `GtkUnit`
| The unit of `length`.